xcb_query_best_size(3)

NAME
xcb_query_best_size -

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_query_best_size_cookie_t xcb_query_best_size(xcb_connection_t *conn, uint8_t _class, xcb_drawable_t drawable, uint16_t width, uint16_t height);

  Reply datastructure

typedef struct xcb_query_best_size_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint16_t width;
    uint16_t height;
} xcb_query_best_size_reply_t;

  Reply function

xcb_query_best_size_reply_t *xcb_query_best_size_reply(xcb_connection_t *conn, xcb_query_best_size_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

_class
    One of the following values:

    XCB_QUERY_SHAPE_OF_LARGEST_CURSOR
        TODO: NOT YET DOCUMENTED.

    XCB_QUERY_SHAPE_OF_FASTEST_TILE
        TODO: NOT YET DOCUMENTED.

    XCB_QUERY_SHAPE_OF_FASTEST_STIPPLE
        TODO: NOT YET DOCUMENTED.
    TODO: NOT YET DOCUMENTED.

drawable
    TODO: NOT YET DOCUMENTED.

width
    TODO: NOT YET DOCUMENTED.

height
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_QUERY_BEST_SIZE. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

width
    TODO: NOT YET DOCUMENTED.

height
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_query_best_size_cookie_t. Errors have to be handled when calling the reply function xcb_query_best_size_reply. If you want to handle errors in the event loop instead, use xcb_query_best_size_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.